This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 72267 - Refresh rate in X config tool
Refresh rate in X config tool
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 12:53 EDT by Mike Gerdts
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 12:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gerdts 2002-08-22 12:53:44 EDT
When I am configuring my X server both at installation time and from
redhat-config-xfree86, it would be VERY nice to know what the implications of
resolution is on the refresh rates that are available.

For example, as I was installing I selected 1600x1200 assuming that I would like
it more than I would a lower resolution.  Since I was never told what refresh
rate it would use, I had no reason to think that I would be unhappy.  BUT, after
booting the first time I realized that the refresh rate was too low (60 Hz is my
guess).  At first I assumed that it was a bad choice by the configuration
program.  Upon reducing the resolution to 1280x1024, I found that the refresh
rate was more suitable to my tastes.  Unfortunately, I had to do a lot of guess
work to get to a resolution that did not give me a headache from use.
Comment 1 Mike A. Harris 2002-08-23 14:30:03 EDT
While I agree that it would be nice to have that information, it is not
possible.  The X server has built in VESA GTF modelines in the server.
It contains modes of different refresh rates for different resolutions,
but it does not have an exhaustive list of modelines currently.

The only way to get a *specific* refresh rate, is to manually place
a hard coded modeline into the config file for that mode/refresh rate.

What refresh rate actually gets used then?  That depends greatly on
the capabilities and configuration of your hardware.  The monitor's
frequencies that you either manually configure, or choose from a list,
or are autodetected, are used to prune incompatible modes and refresh
rates by the X server itself (not the config utilities).  The video
drivers also prune modes based on what they are capable of.

In general then, you get whatever highest refresh rate built into
the X server for the mode chosen that is possible on your hardware,
with your configured monitor's settings.

If you configure your monitor correctly, or it is autodetected
correctly, then it will be using the highest preconfigured refresh
rate.  If that is not as high as you would like, then you currently
have no choice but to manually create your own modeline.  If you
want to force a particular refresh, you also have to create your
own modelines.

There is no alternative to this with the current XFree86 infrastructure,
however it is something that we would like to see changed to a model
more like Windows uses.  This will happen some time in the future
automatically.  When is anyone's guess though as there are a lot of
things missing from X that are much more important.

XFree86 4.3.0 or later might provide the functionality required.

Closing as NOTABUG.
Comment 2 Mike Gerdts 2002-10-01 15:43:23 EDT
From the "it is impossible but someone else has done it department"...

http://www.aselabs.com/images/articles/sept02/lycoris/resolution.jpg

Note You need to log in before you can comment on or make changes to this bug.